6.0.0-git
2019-04-21

[#11181] kronolith swallows recurring events on 5th weekday
Summary kronolith swallows recurring events on 5th weekday
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester steffo76 (at) gmx (dot) de
Created 2012-05-09 (2538 days ago)
Due
Updated 2013-03-04 (2239 days ago)
Assigned 2012-10-17 (2377 days ago)
Resolved 2013-02-13 (2258 days ago)
Milestone
Patch No

History
2013-03-04 13:04:14 steffo76 (at) gmx (dot) de Comment #8 Reply to this comment
Sorry, the previous comment was totally bogus. I thought Horde_Date 
2.0.4 was already out and installed.
2013-03-04 13:00:45 steffo76 (at) gmx (dot) de Comment #7 Reply to this comment
I just created an event on March 29th which happens to be the fifth 
friday in March. The event was created to recur monthly on the same 
weekday- in April it doesn't show up but instead it shows up twice in 
May (May 3rd and May 31st). It doesn't show up in June. I don't think 
this is really fixed.
2013-02-13 09:45:31 Jan Schneider Comment #6
Assigned to Jan Schneider
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Fixed for Horde_Date 2.0.4.
2013-02-13 09:45:06 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit e85da36beacb62f0e4df3e25385ed9949b3cf67b
Author: Jan Schneider <jan@horde.org>
Date:   Wed Feb 13 10:42:19 2013 +0100

     [jan] Fix recurring dates on the 5th weekday of a month (Bug #11181).

  framework/Date/lib/Horde/Date/Recurrence.php |    4 ++++
  framework/Date/package.xml                   |    4 ++--
  2 files changed, 6 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/e85da36beacb62f0e4df3e25385ed9949b3cf67b
2013-02-13 09:43:26 Jan Schneider Version ⇒ Git master
Queue ⇒ Horde Framework Packages
 
2012-10-17 20:16:31 Michael Rubinsky Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2012-05-09 20:03:49 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 73257bf039e5631554918fd27f024ff8a77a6644
Author: Jan Schneider <jan@horde.org>
Date:   Wed May 9 16:11:46 2012 +0200

     Add failing test for bug #11181.

  framework/Date/test/Horde/Date/RecurrenceTest.php |   18 ++++++++++++++++++
  1 files changed, 18 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/73257bf039e5631554918fd27f024ff8a77a6644
2012-05-09 14:29:11 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 73257bf039e5631554918fd27f024ff8a77a6644
Author: Jan Schneider <jan@horde.org>
Date:   Wed May 9 16:11:46 2012 +0200

     Add failing test for bug #11181.

  framework/Date/test/Horde/Date/RecurrenceTest.php |   18 ++++++++++++++++++
  1 files changed, 18 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/73257bf039e5631554918fd27f024ff8a77a6644
2012-05-09 13:05:30 steffo76 (at) gmx (dot) de Comment #2 Reply to this comment
The Bugtracker swolled my greater than sign. It should have been "If 
the day has a number greater or equal  29".
2012-05-09 13:02:09 steffo76 (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ kronolith swallows recurring events on 5th weekday
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
New Attachment: kronolith_recurrence.png Download
Reply to this comment
Hi, I noticed the following in traditional view: If I choose 'Recurs 
every X month(s) on the same weekday' 
(HORDE_DATE_RECUR_MONTHLY_WEEKDAY) and this weekday is the fifth of 
its kind it doesn't show up in months where there are only four of its 
kind. For example: May 31st 2012 is the 5th Thursday. In the .ics this 
shows up as BYDAY=5TH. I'm not sure how clients should react if the 
day doesn't exist.

What is really confusing that with this particular event it sometimes 
shows where it shouldn't. Example: Viewing July kronolith shows this 
event on the 2nd of August. Switching to August there is no event on 
the 2nd.

I guess in iCalendar terms this should be: If the day has a number 
;=29 set the recurrence to the last of the month (BYDAY=-1TH in this 
case).

Saved Queries